org.apache.lucene.facet

## Class FacetResult

- java.lang.Object
- - org.apache.lucene.facet.FacetResult

-     public final class FacetResult
      extends Object

  Counts or aggregates for a single dimension.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `childCount` How many child labels were encountered.
    `String` | `dim` Dimension that was requested.
    `LabelAndValue[]` | `labelValues` Child counts.
    `String[]` | `path` Path whose children were requested.
    `Number` | `value` Total number of documents containing a value for this path, even those not included in the topN.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FacetResult(String dim, String[] path, Number value, LabelAndValue[] labelValues, int childCount)` Sole constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object _other)`
    `int` | `hashCode()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### dim

          public final String dim

      Dimension that was requested.

    - #### path

          public final String[] path

      Path whose children were requested.

    - #### value

          public final Number value

      Total number of documents containing a value for this path, even those not included in the topN. If a document contains multiple values for the same path, it will only be counted once in this value.

    - #### childCount

          public final int childCount

      How many child labels were encountered.

    - #### labelValues

          public final LabelAndValue[] labelValues

      Child counts.

  - ### Constructor Detail

    - #### FacetResult

          public FacetResult(String dim,
                             String[] path,
                             Number value,
                             LabelAndValue[] labelValues,
                             int childCount)

      Sole constructor.

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object _other)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

Copyright © 2000-2021 Apache Software Foundation. All Rights Reserved.